Subject: bug#72362: closed (Re: [bug#72362] [PATCH 2/2] guix: tests: Increase timeout for test store connection.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Aug 2024 10:56:02 +0000

Your bug report

#72362: [PATCH 0/2] Fix guix package tests on riscv64-linux.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72362: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72362
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#72362] [PATCH 2/2] guix: tests: Increase timeout for test store connection.
From: Christopher Baines <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Aug 2024 11:54:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> Hello Christopher.  These patches work great.  Previously and two days
> ago, on a visionfive2 without cooling, I could not successfully do `guix
> pull'.  From a git tree with your patch, I can pull now.  Could you also
> update the guix package so I can reconfigure too?

Thanks for taking a look. Note that these patches shouldn't affect guix
pull, since that doesn't run the guix testsuite.

I've pushed them to master as b4206a08badcc1b1fb276c09665ba481171d5cb3
and I'll update the guix package shortly.

Chris

Subject: [PATCH 0/2] Fix guix package tests on riscv64-linux.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 30 Jul 2024 11:36:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines (2):
  tests: gexp: Handle incorrect guile-bootstrap version for riscv.
  guix: tests: Increase timeout for test store connection.

 guix/tests.scm |  4 ++--
 tests/gexp.scm | 26 ++++++++++++++++++++------
 2 files changed, 22 insertions(+), 8 deletions(-)